%define with_alsa 0

Name: esound
Version: 0.2.29
Release: alt2

Summary: The Enlightened Sound Daemon
License: GPL
Group: System/Servers
Url: ftp://ftp.gnome.org
Source: %name-%version.tar.bz2
Patch: %name-0.2.19-alt-noerrors.patch
Patch1: %name-0.2.28-alt-config.patch

# Automatically added by buildreq on Sun Nov 10 2002
BuildRequires: docbook-utils glibc-devel-static libalsa2-devel libaudiofile-devel libwrap-devel

%if %with_alsa
BuildRequires: libalsa2-devel
%endif

%description
EsounD (the Enlightened Sound Daemon) is a server process that allows multiple
applications to share a single sound card. For example, when you're listening
to music from your CD and you receive a sound-related event from ICQ, your
applications won't have to jockey for the attention of your sound card.

EsounD mixes several audio streams for playback by a single audio device.

This package is for use with OSS sound drivers only.

%package utils
Summary: Enlightened Sound Daemon - clients
Group: Sound
Requires: %name = %version-%release

%description utils
Utilities that control and interact with the Enlightened Sound Daemon.

%package devel
Summary: Libraries, includes and more to develop EsounD applications
Group: Development/C
Requires: %name = %version-%release
Requires: audiofile-devel

%description devel
Libraries, include files and other resources you can use to develop EsounD
applications.

%package devel-static
Summary: Static libraries to develop EsounD applications
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libraries you can use to develop statically linked EsounD
applications.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%define __autoconf autoconf_2.5

%__autoconf
%configure --with-libwrap \
%if ! %with_alsa
	--disable-alsa
%endif

%make_build

%install
# fix manpage for esd
%__subst 's,/etc/esound,/etc,g' docs/esd.1

%makeinstall

# fix permissions
%__chmod 0644 docs/html/stylesheet-images/*.gif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/esd
%_libdir/*.so.*
%_man1dir/esd.1*
%config(noreplace) %_sysconfdir/esd.conf
%doc AUTHORS NEWS README* TIPS

%files utils
%_bindir/esd[^-]*
%_man1dir/esd[^-]*.1*

%files devel
%_bindir/*-config
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*
%_includedir/*
%_datadir/aclocal/*
%_man1dir/*-config.*
%doc ChangeLog TODO TIPS docs/html

%files devel-static
%_libdir/*.a

%changelog
* Sun Nov 10 2002 AEN <aen@altlinux.ru> 0.2.29-alt2
- rebuilt with new libwrap

* Fri Sep 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.29-alt1
- 0.2.29 
- esddsp.patch removed, not needed more.
- post/postun scripts updated.
- patch names fixed.

* Sat Jun 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.28-alt2
- esddsp.in.patch fixed. 

* Wed Jun 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.28-alt1
- 0.2.28 
- config.patch adopted (new -promiscuous option)

* Mon Jun 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.27-alt1
- 0.2.27
- man.patch removed. (man pages now included in main package)
- config.patch adopted.

* Sat May 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.26-alt1
- 0.2.26 
- debian patch removed
- config and man patches applied.
- esddsp.in patch

* Sun Feb 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.23-alt2
- debian.patch (modified esound_0.2.23-3.diff).
- utils, devel-static packages.
- manpages.
- esd.conf highly commented and esound no longer starts in tcp 
  mode by default.
- BuildRequires updated.

* Mon Nov 26 2001 AEN <aen@logic.ru> 0.2.23-alt1
- new version

* Sun Mar 11 2001 AEN <aen@logic.ru> 0.2.22-ipl2mdk
- removed BuildReq on stylesheets (thnx to Andrey Brindeew) & ld.so

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 0.2.22-ipl1mdk
- 0.2.22
- Updated esdstart patch.
- RE adaptions.

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.20-2mdk
- Patch esddsp script to use correct libraries
- binaries are no longer owned by audio group.

* Sat Oct  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.20-1mdk
- Upgrade to 0.2.20 to have complete security fix.

* Fri Sep 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.19-7mdk
- Include security fix from Vincent Danen

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.19-6mdk
- automatically added BuildRequires

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 0.2.19-5mdk
- added --disable-alsa

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.2.19-4mdk
- added %%make

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.2.19-3mdk
- BM + macrozification

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.19-3mdk
- enforce devel dependency on same version of esound

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.19-2mdk
- apply again esd launch kill signal
- add BuildRequires for libtool
- add patch  esound-esdstart.patch.bz2

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.2.19-1mdk
- 0.2.19
- Big spec cleanup
- make Pixel happy
- BC

* Tue Jul 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.18-3mdk
- only send signal when esd could not be started by shell

* Tue Jul 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.18-2mdk
- correct check when launching spawning esd

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 0.2.18-1mdk
- updated.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.17-2mdk
- fixed group.

* Thu Dec 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.2.17

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Sane SMP build

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.2.14

* Wed Sep 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- sysconfdir=/etc

* Thu Jul 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- set permissions for binarys root:audio 0750 to prevent DoS attacks
- Default System wide esd.conf (for the 3rd time, whys this keep getting lost?)
- Removed Esound.html from docs it hasn't been there for a long time.

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last CVS version from Mon Jun 28 1999.

* Mon Jun 14 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.2.12
- fix URL entry in .spec
- move %prefix/lib/lib*.so files to the main esound package from the devel
  one, as esddsp requires them to function correctly

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Wed Apr 07 1999 Michael Fulbright <drmike@redhat.com>
- bump release to stay 1 ahead of 5.2 packages so upgrades work

* Mon Apr 05 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.10

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.9

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.8 with SIGPIPE fixes from Raster

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.8

* Wed Feb 3 1999 Jonathan Blandford <jrb@redhat.com>
- bug fixes -- new release.

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation of GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added %prefix/share/aclocal/* to %files devel
- added spanish and french translations for rpm

* Thu Oct 1 1998 Ricdude <ericmit@ix.netcom.com>
- make autoconf do the version updating for us.

* Wed May 13 1998 Michael Fulbright <msf@redhat.com>
- First try at an RPM
